## pciutils 3.1.7

=== debian/changelog ===
pciutils (1:3.1.7-6) unstable; urgency=medium

  * Update pci.ids with version 2010.11.24
  * Pass parameters -Zbzip2 and -z9 to dpkg-deb via dh_builddeb

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 26 Nov 2010 16:19:45 +1100

pciutils (1:3.1.7-5) unstable; urgency=medium

  * Update pci.ids with version 2010.08.23 
  * Fix out-of-date-standards-version
  * Fix xc-package-type-in-debian-control

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 24 Aug 2010 19:10:27 +1000

pciutils (1:3.1.7-4) unstable; urgency=low

  * Update pci.ids with snapshot dated 2010-06-12

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 26 Jun 2010 14:17:57 +1000

pciutils (1:3.1.7-3) unstable; urgency=medium

  * Update pci.ids with snapshot dated 2010-04-09 03:15:02 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 11 Apr 2010 07:50:00 +1000

pciutils (1:3.1.7-2) unstable; urgency=medium

  * Update pci.ids with snapshot dated 2010-03-01 03:15:01

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 14 Mar 2010 12:17:33 +1100

pciutils (1:3.1.7-1) unstable; urgency=low

  * New upstream version 
  * Update pci.ids with snapshot dated 2010-02-11 03:15:02
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 12 Feb 2010 17:54:56 +1100

pciutils (1:3.1.6-1) unstable; urgency=low

  * New upstream version 
  * Debian source format is 3.0 (quilt)
  * Don't define GZIP in update-pciids
    Closes: 566311

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 27 Jan 2010 14:32:37 +1100

pciutils (1:3.1.4-5) unstable; urgency=low

  * Update pci.ids with snapshot dated 2010-01-11 03:15:02
  * Fix debhelper-but-no-misc-depends

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 16 Jan 2010 17:44:24 +1100

pciutils (1:3.1.4-4) unstable; urgency=low

  * Update pci.ids with snapshot dated 2009-11-23 03:15:02

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 24 Nov 2009 14:58:29 +1100

pciutils (1:3.1.4-3) unstable; urgency=low

  * Update pci.ids with snapshot dated 2009-10-22 03:15:02 
  * Build twice in a row successfully
    Closes: 544011
  * Ship libpci.a in libpci-dev
    Closes: 545877

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 07 Nov 2009 20:06:09 +1100

pciutils (1:3.1.4-2) unstable; urgency=medium

  * Update pci.ids with snapshot dated 2009-09-18 03:15:01 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 09 Oct 2009 12:28:51 +1100

pciutils (1:3.1.4-1) unstable; urgency=low

  * New upstream version 
  * Fix out-of-date-standards-version
  * Update pci.ids with snapshot dated 2009-08-18 03:15:02

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 20 Aug 2009 15:41:13 +1000

pciutils (1:3.1.3-2) unstable; urgency=high

  [ Julien Cristau ]
  * update-pciids: make sure the new pci.ids file has the same
    owner/permissions as the old one. Closes: 540664

  [ Anibal Monsalve Salazar ]
  * Fix shlibs dependency
    Closes: 516848, 519608, 529032
  * Fix priority disparity
  * Update pci.ids with snapshot dated 2009-07-27 03:15:01

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 09 Aug 2009 16:20:14 +0200

pciutils (1:3.1.3-1) unstable; urgency=low

  * New upstream version
  * DH level compatibility is 7
  * Fix out-of-date-standards-version
  * Fix dh-clean-k-is-deprecated

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 06 Jul 2009 08:50:14 +1000

pciutils (1:3.1.2-5) unstable; urgency=medium

  * Update pci.ids with snapshot dated 2009-06-02 03:15:01

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 12 Jun 2009 15:17:01 +1000

pciutils (1:3.1.2-4) unstable; urgency=low

  * Update pci.ids with snapshot dated 2009-05-19 03:15:01
  * Fix typo in setpci manpage; closes: #525258

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 22 May 2009 12:28:39 +1000

pciutils (1:3.1.2-3) unstable; urgency=medium

  * Update pci.ids with snapshot dated 2009-03-29 03:15:02 
  * Fix shlibs; closes: #521176

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 30 Mar 2009 13:31:08 +1100

pciutils (1:3.1.2-2) unstable; urgency=low

  * Update pci.ids with snapshot dated 2009-03-19 03:15:02
  * Fix "FTBFS on GNU/kFreeBSD"; patch by Petr Salinger; closes: #520343
  * Standards version is 3.8.1

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 22 Mar 2009 16:42:57 +1100

pciutils (1:3.1.2-1) unstable; urgency=low

  * New upstream version
  * Update pci.ids with snapshot dated 2009-02-20 03:15:01

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 03 Mar 2009 13:46:34 +1100

pciutils (1:3.0.3-2) unstable; urgency=low

  * Upload to unstable 
  * Put back Matthew Wilcox in uploaders
  * Update pci.ids with snapshot dated 2009-02-14 03:15:02

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 16 Feb 2009 12:49:19 +1100

pciutils (1:3.0.3-1) experimental; urgency=low

  * New upstream version
  * Update pci.ids with snapshot dated 2008-11-14 03:15:02
  * Support cross-building; patch by Neil Williams; closes: #481672
  * Fix libpci3 long description; closes: #481313

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Nov 2008 18:54:07 +1100

pciutils (1:3.0.2-2) experimental; urgency=low

  * New pci.ids header format; closes: #501612 
  * Update pci.ids with snapshot dated 2008-10-27 03:15:01

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 02 Nov 2008 09:16:00 +1100

pciutils (1:3.0.0-6) unstable; urgency=low

  * New pci.ids header format; closes: #501612
  * Update pci.ids with snapshot dated 2008-10-07 11:49:28

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 09 Oct 2008 22:00:53 +1100

pciutils (1:3.0.2-1) experimental; urgency=low

  * New upstream version 
  * Update pci.ids with snapshot dated Sat 2008-10-04 01:05:02

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 04 Oct 2008 11:05:39 +1000

pciutils (1:3.0.0-5) unstable; urgency=low

  * Do not strip pci.ids in the pciutils binary package; closes: #496655
  * Fix libpci3 long description; closes: #481313

