## pciutils 3.1.8

=== debian/changelog ===
pciutils (1:3.1.8-2ubuntu5) precise; urgency=low

  * Remove Multi-Arch: same from libpci-dev; /usr/include/pci/config.h is
    not identical across architectures (LP: #948205).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Mar 2012 12:03:25 +0000

pciutils (1:3.1.8-2ubuntu4) precise; urgency=low

  * Downloaded daily snapshot dated 2012-02-27 03:15:01

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 05 Mar 2012 06:43:17 -0700

pciutils (1:3.1.8-2ubuntu3) precise; urgency=low

  * Downloaded daily snapshot dated 2012-01-18 03:15:02 

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 31 Jan 2012 07:46:21 -0700

pciutils (1:3.1.8-2ubuntu2) precise; urgency=low

  * Explicitly call dh_builddeb -plibpci3-udeb, since debian/rules is now
    enumerating all the packages in order to enable bzip2 compression on the
    .debs.
  * Fix the ldconfig link target in the udeb.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Dec 2011 20:42:25 +0000

pciutils (1:3.1.8-2ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Add libpci3-udeb, for future use by biosdevname-udeb.
    - Move libpci3 to /lib for biosdevname (LP: #813710).
  * Don't put -dev files in /lib; these still belong under /usr/lib.
  * Set single-debian-patch in debian/source/options, so that future pci.ids
    updates don't result in umpteen debian-changes-$version patches.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Dec 2011 11:40:54 -0800

pciutils (1:3.1.8-2) unstable; urgency=low

  * Add multi-arch support
    Patch by Riku Voipio
    Closes: 641269

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 30 Nov 2011 09:01:37 +1100

pciutils (1:3.1.8-1) unstable; urgency=low

  * New upstream version 3.1.8

    * More capabilities: Transaction Processing Hints, Latency Tolerance
      Reporting. Thanks to Jesse Barnes.
 
    * Added BeOS and Haiku ports. Contributed by Francois Revol.
 
    * pciutils.pc now uses Libs.private properly.
 
    * When we format a name and it does not fit in the buffer, we truncate
      it instead of returning "buffer too small" instead. This works on all
      platforms with sane (i.e., C99-compatible) snprintf().
 
    * Various minor bug fixes.
 
  * Update pci.ids with version 2011.11.09

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 28 Nov 2011 19:25:53 +1100

pciutils (1:3.1.7-12) unstable; urgency=high

  * pciutils-udeb: Don't pass "-Zbzip2 -z9" to dpkg-deb
    Refer to Bug#634865

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 27 Jul 2011 12:22:42 +1000

pciutils (1:3.1.7-11) unstable; urgency=medium

  * Update pci.ids with version 2011.07.14

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 17 Jul 2011 13:45:04 +1000

pciutils (1:3.1.7-10) unstable; urgency=medium

  * Update pci.ids with version 2011.06.23
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 Jun 2011 15:11:49 +1000

pciutils (1:3.1.7-9) unstable; urgency=medium

  * Update pci.ids with version 2011.04.04
  * Debian policy version is 3.9.2

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Apr 2011 13:14:51 +1000

pciutils (1:3.1.7-8) unstable; urgency=medium

  * Update pci.ids with version 2011.03.12

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 23 Mar 2011 18:12:47 +1100

pciutils (1:3.1.7-7) unstable; urgency=low

  * Update pci.ids with version 2011-02-06

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 11 Feb 2011 21:18:09 +1100

pciutils (1:3.1.7-4ubuntu11) oneiric; urgency=low

  * Move libpci3 to /lib for biosdevname (LP: #813710).

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 20 Sep 2011 16:02:28 +0100

pciutils (1:3.1.7-4ubuntu10) oneiric; urgency=low

  * Downloaded daily snapshot dated 2011-09-08 03:15:04

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 12 Sep 2011 08:12:08 -0600

pciutils (1:3.1.7-4ubuntu9) oneiric; urgency=low

  * Downloaded daily snapshot dated 2011-07-14 03:15:06

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 26 Jul 2011 08:58:28 -0600

pciutils (1:3.1.7-4ubuntu8) oneiric; urgency=low

  * Downloaded daily snapshot dated 2011-05-25 03:15:03

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 26 May 2011 09:39:23 -0600

pciutils (1:3.1.7-4ubuntu7) natty; urgency=low

  * Downloaded daily snapshot dated 2011-03-12 03:15:02

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 17 Mar 2011 07:19:44 -0600

pciutils (1:3.1.7-4ubuntu6) natty; urgency=low

  * Add libpci3-udeb, for future use by biosdevname-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Feb 2011 16:06:23 +0000

pciutils (1:3.1.7-4ubuntu5) natty; urgency=low

  * Downloaded daily snapshot dated 2011-01-22 03:15:03

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 25 Jan 2011 11:01:22 -0700

pciutils (1:3.1.7-4ubuntu4) natty; urgency=low

  * Downloaded daily snapshot dated 2010-11-24 03:15:02

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 29 Nov 2010 09:15:14 -0700

pciutils (1:3.1.7-4ubuntu3) natty; urgency=low

  * Downloaded daily snapshot dated 2010-10-20

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 20 Oct 2010 11:37:52 -0600

pciutils (1:3.1.7-4ubuntu2) maverick; urgency=low

  * Downloaded daily snapshot dated 2010-08-25 03:15:04

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 26 Aug 2010 12:41:33 -0600

pciutils (1:3.1.7-4ubuntu1) maverick; urgency=low

  * Downloaded daily snapshot dated 2010-07-14 03:15:03

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 27 Jul 2010 14:23:46 +0100
