=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Matthew Wilcox <willy@debian.org>, Matt Taggart <taggart@debian.org>
-Build-Depends: debhelper (>= 7), zlib1g-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8.1.3), zlib1g-dev
+Standards-Version: 3.9.2
 Homepage: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
 
 Package: pciutils
 Architecture: any
 Priority: standard
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpci3 (= ${binary:Version})
+Multi-Arch: foreign
 Suggests: bzip2, wget | curl | lynx
 Description: Linux PCI Utilities
  This package contains various utilities for inspecting and setting of
@@ -33,6 +35,8 @@
 Priority: standard
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Conflicts: libpci2
 Provides: libpci2
 Replaces: libpci2
@@ -53,3 +57,17 @@
  devices connected to the PCI bus. 
  .
  This is a minimal version for use in debian-installer.
+
+Package: libpci3-udeb
+XC-Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Priority: optional
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Linux PCI Utilities (shared library)
+ This package contains the libpci shared library files.
+ .
+ The libpci library provides portable access to configuration
+ registers of devices connected to the PCI bus.
+ .
+ This is a minimal version for use in debian-installer.
