=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,13 @@
 
 DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
 endif
 
-PATHS := PREFIX=/usr SBINDIR=/usr/bin IDSDIR=/usr/share/misc
+PATHS := LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) PREFIX=/usr SBINDIR=/usr/bin IDSDIR=/usr/share/misc
 
 update-ids:
 	# get a new version of pci.ids, this should only be run by the
@@ -18,6 +20,8 @@
 	rm -f pci.ids.old
 	#gunzip pci.ids.gz
 
+build-arch: build
+build-indep: build
 build:
 	dh_testdir
 	$(MAKE) $(CROSS) $(PATHS) SHARED=yes
@@ -45,20 +49,26 @@
 	gunzip debian/pciutils/usr/share/misc/pci.ids.gz
 
 	# libpci-dev
-	install -m 644 lib/libpci.a debian/libpci-dev/usr/lib/
+	mkdir -p debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	install -m 644 lib/libpci.a debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 	install -m 644 lib/pci.h lib/header.h lib/config.h lib/types.h \
 			debian/libpci-dev/usr/include/pci/
-	install -m 644 lib/libpci.pc debian/libpci-dev/usr/lib/pkgconfig/
-	ln -s libpci.so.3.1.7 debian/libpci-dev/usr/lib/libpci.so
+	install -m 644 lib/libpci.pc debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
+	ln -s /lib/$(DEB_HOST_MULTIARCH)/libpci.so.3.1.8 debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpci.so
 
 	# libpci3
-	install -m 644 lib/libpci.so* debian/libpci3/usr/lib/
-	ln -s libpci.so.3.1.7 debian/libpci3/usr/lib/libpci.so.3
+	mkdir -p debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
+	install -m 644 lib/libpci.so* debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
+	ln -s libpci.so.3.1.8 debian/libpci3/lib/$(DEB_HOST_MULTIARCH)/libpci.so.3
 
 	# pciutils-udeb
 	# Reduce by removing subsystem ids and comments.
 	perl -ne 'print unless /^(\s*#|\s*$|\t\t)/' < pci.ids |gzip -9 > debian/pciutils-udeb/usr/share/misc/pci.ids.gz
 	chmod 644 debian/pciutils-udeb/usr/share/misc/pci.ids.gz
+
+	# libpci3-udeb
+	install -m 644 lib/libpci.so* debian/libpci3-udeb/lib/
+	ln -s libpci.so.3.1.8 debian/libpci3-udeb/lib/libpci.so.3
 
 	dh_installdocs
 	dh_installexamples example.c
@@ -68,12 +78,15 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a -V 'libpci3 (>= 1:3.1.7)'
+	dh_makeshlibs -a -V 'libpci3 (>= 1:3.1.8-2)' --add-udeb=libpci3-udeb
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a -- -Zbzip2 -z9
+	dh_builddeb -ppciutils -- -Zbzip2 -z9
+	dh_builddeb -plibpci-dev -- -Zbzip2 -z9
+	dh_builddeb -plibpci3 -- -Zbzip2 -z9
+	dh_builddeb -ppciutils-udeb -plibpci3-udeb
 
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
