## pciutils 3.1.9

=== debian/changelog ===
pciutils (1:3.1.9-6) unstable; urgency=low

  * Update pci.ids with version 2012.11.19

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 20 Nov 2012 09:43:33 +1100

pciutils (1:3.1.9-5) unstable; urgency=medium

  * Update pci.ids with version 2012.06.25

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 30 Jun 2012 13:33:01 +1000

pciutils (1:3.1.9-4) unstable; urgency=low

  * Enable hardened build flags
  * DH compatibility level is 9

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 14 Jun 2012 11:49:37 +1000

pciutils (1:3.1.9-3) unstable; urgency=medium

  * Update pci.ids with version 2012.05.07

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 08 May 2012 13:05:10 +1000

pciutils (1:3.1.9-2) unstable; urgency=medium

  * Update pci.ids with version 2012.04.09 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 11 Apr 2012 20:04:52 +1000

pciutils (1:3.1.9-1) unstable; urgency=low

  * New upstream version 3.1.9
    - Decode PCIe Gen 3 speeds and link status fields
    - Fix "non-informative text for VIA VT6415"
      Closes: 589674
    - Fix "libpci3: lspci -i x crashes"
      Closes: 624202
  * Merge 1:3.1.8-2ubuntu5
    - Remove Multi-Arch: same from libpci-dev; /usr/include/pci/config.h is
      not identical across architectures
      Closes: 658766
    - Add libpci3-udeb, for future use by biosdevname-udeb
    - Don't put -dev files in /lib; these still belong under /usr/lib
    - Set single-debian-patch in debian/source/options, so that future pci.ids
      updates don't result in umpteen debian-changes-$version patches
  * Update the pciutils Uploaders list
    Closes: 572503
  * Update pci.ids with version 2012.02.27

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 30 Mar 2012 17:02:27 +1100
