=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Uploaders: Matthew Wilcox <willy@debian.org>, Matt Taggart <taggart@debian.org>
-Build-Depends: debhelper (>= 8.1.3), zlib1g-dev
-Standards-Version: 3.9.2
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Uploaders: Matt Taggart <taggart@debian.org>
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), zlib1g-dev
+Standards-Version: 3.9.3
 Homepage: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
 
 Package: pciutils
@@ -59,7 +58,7 @@
  This is a minimal version for use in debian-installer.
 
 Package: libpci3-udeb
-XC-Package-Type: udeb
+Package-Type: udeb
 Section: debian-installer
 Architecture: any
 Priority: optional
