=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -24,7 +28,7 @@
 build-indep: build
 build:
 	dh_testdir
-	$(MAKE) $(CROSS) $(PATHS) SHARED=yes
+	OPT="$(CFLAGS)" $(MAKE) $(CROSS) $(PATHS) SHARED=yes
 
 clean:
 	dh_testdir
@@ -54,12 +58,12 @@
 	install -m 644 lib/pci.h lib/header.h lib/config.h lib/types.h \
 			debian/libpci-dev/usr/include/pci/
 	install -m 644 lib/libpci.pc debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
-	ln -s /lib/$(DEB_HOST_MULTIARCH)/libpci.so.3.1.8 debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpci.so
+	ln -s /lib/$(DEB_HOST_MULTIARCH)/libpci.so.3.1.9 debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpci.so
 
 	# libpci3
 	mkdir -p debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
 	install -m 644 lib/libpci.so* debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
-	ln -s libpci.so.3.1.8 debian/libpci3/lib/$(DEB_HOST_MULTIARCH)/libpci.so.3
+	ln -s libpci.so.3.1.9 debian/libpci3/lib/$(DEB_HOST_MULTIARCH)/libpci.so.3
 
 	# pciutils-udeb
 	# Reduce by removing subsystem ids and comments.
@@ -68,7 +72,7 @@
 
 	# libpci3-udeb
 	install -m 644 lib/libpci.so* debian/libpci3-udeb/lib/
-	ln -s libpci.so.3.1.8 debian/libpci3-udeb/lib/libpci.so.3
+	ln -s libpci.so.3.1.9 debian/libpci3-udeb/lib/libpci.so.3
 
 	dh_installdocs
 	dh_installexamples example.c
@@ -78,7 +82,7 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a -V 'libpci3 (>= 1:3.1.8-2)' --add-udeb=libpci3-udeb
+	dh_makeshlibs -a -V 'libpci3 (>= 1:3.1.9-2)' --add-udeb=libpci3-udeb
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
