=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Matt Taggart <taggart@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
 
 Package: pciutils
@@ -12,7 +12,7 @@
 Priority: standard
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpci3 (= ${binary:Version})
 Multi-Arch: foreign
-Suggests: bzip2, wget | curl | lynx
+Suggests: bzip2, wget | curl | lynx-cur
 Description: Linux PCI Utilities
  This package contains various utilities for inspecting and setting of
  devices connected to the PCI bus.
