=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 DEB_HOST_MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
+CROSS=CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
 endif
 
 PATHS := LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) PREFIX=/usr SBINDIR=/usr/bin IDSDIR=/usr/share/misc
@@ -47,10 +47,11 @@
 	dh_prep
 	dh_installdirs -a
 
-	$(MAKE) $(CROSS) $(PATHS) install DESTDIR=debian/pciutils
+	$(MAKE) $(CROSS) $(PATHS) install DESTDIR=debian/pciutils STRIP=
 
 	# pciutils
 	gunzip debian/pciutils/usr/share/misc/pci.ids.gz
+	mv debian/pciutils/usr/bin/update-pciids debian/pciutils/usr/sbin
 
 	# libpci-dev
 	mkdir -p debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
@@ -58,12 +59,12 @@
 	install -m 644 lib/pci.h lib/header.h lib/config.h lib/types.h \
 			debian/libpci-dev/usr/include/pci/
 	install -m 644 lib/libpci.pc debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
-	ln -s /lib/$(DEB_HOST_MULTIARCH)/libpci.so.3.1.9 debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpci.so
+	ln -s /lib/$(DEB_HOST_MULTIARCH)/libpci.so.3.2.1 debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpci.so
 
 	# libpci3
 	mkdir -p debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
 	install -m 644 lib/libpci.so* debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
-	ln -s libpci.so.3.1.9 debian/libpci3/lib/$(DEB_HOST_MULTIARCH)/libpci.so.3
+	ln -s libpci.so.3.2.1 debian/libpci3/lib/$(DEB_HOST_MULTIARCH)/libpci.so.3
 
 	# pciutils-udeb
 	# Reduce by removing subsystem ids and comments.
@@ -72,7 +73,7 @@
 
 	# libpci3-udeb
 	install -m 644 lib/libpci.so* debian/libpci3-udeb/lib/
-	ln -s libpci.so.3.1.9 debian/libpci3-udeb/lib/libpci.so.3
+	ln -s libpci.so.3.2.1 debian/libpci3-udeb/lib/libpci.so.3
 
 	dh_installdocs
 	dh_installexamples example.c
@@ -82,15 +83,12 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a -V 'libpci3 (>= 1:3.1.9-2)' --add-udeb=libpci3-udeb
+	dh_makeshlibs -a -V 'libpci3 (>= 1:3.2.1-1)' --add-udeb=libpci3-udeb
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -ppciutils -- -Zbzip2 -z9
-	dh_builddeb -plibpci-dev -- -Zbzip2 -z9
-	dh_builddeb -plibpci3 -- -Zbzip2 -z9
-	dh_builddeb -ppciutils-udeb -plibpci3-udeb
+	dh_builddeb -a
 
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
